import React, { PropsWithChildren } from 'react';
import { Row, TableInstance } from 'react-table';
import { MaterialReactTableProps } from './MaterialReactTable';
export interface UseMRT<D extends {} = {}> extends MaterialReactTableProps<D> {
    anyRowsCanExpand: boolean;
    anyRowsExpanded: boolean;
    currentEditingRow: Row<D> | null;
    densePadding: boolean;
    fullScreen: boolean;
    setCurrentEditingRow: (currentRowEditingId: Row<D> | null) => void;
    setDensePadding: (densePadding: boolean) => void;
    setFullScreen: (fullScreen: boolean) => void;
    setShowFilters: (showFilters: boolean) => void;
    setShowSearch: (showSearch: boolean) => void;
    showFilters: boolean;
    showSearch: boolean;
    tableInstance: TableInstance<D>;
}
export declare const MaterialReactTableProvider: <D extends {}>(props: React.PropsWithChildren<MaterialReactTableProps<D>>) => JSX.Element;
export declare const useMRT: <D extends {}>() => UseMRT<D>;
